using System;
using System.Collections.Generic;
namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int q = int.Parse(s[1]);
            int[] glasovi = new int[n];
            int[] brojevi = new int[q];

            int[] rezultat = new int[q];

            string[] s2 = Console.ReadLine().Split();
            for (int i = 0; i < s2.Length; i++)
            {
                glasovi[i] = int.Parse(s2[i]);
            }
            Array.Sort(glasovi);
            List<int> lista = new List<int>();
            for (int i = 0; i < s2.Length; i++)
            {
                lista.Add(glasovi[i]);
            }

            int medijana = lista[n / 2];

            string[] s3 = Console.ReadLine().Split();
            
            for (int i = 0; i < s3.Length; i++)
            {
                brojevi[i] = int.Parse(s3[i]);
                int broj = brojevi[i];
                
                int brojbrojeva = Dodajbrojeve(broj, medijana,lista);
                rezultat[i] = brojbrojeva;
                if (rezultat[i] == -1)
                {
                    rezultat[i] = n;
                }
                else
                {
                    if (i > 1)
                    {
                        rezultat[i] += rezultat[i - 1];
                    }
                }
                
                Console.WriteLine(rezultat[i]);
            }

            
            
        }

        private static int Dodajbrojeve(int broj,int medijana, List<int> lista)
        {
            int brojbrojeva = 0;

            if (broj == medijana)
            {
                return 0;
            }
            else
            {
                if (lista.Contains(broj))
                {
                    while (broj != medijana)
                    {
                        lista.Add(lista[lista.Count-1] + 5);
                        medijana = lista[lista.Count / 2];
                        brojbrojeva++;
                    }
                }
                else
                {
                    return -1;
                }
                
            }
            
            return brojbrojeva;
        }
    }
}